Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network99.166.0.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
99.166.0.0
Broadcast address
99.166.63.255
First usable
99.166.0.1
Last usable
99.166.63.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
A (default /8)
As numbers
Hex 63A60000 · Integer 1671823360 to 1671839743
Reverse DNS zones
0.166.99.in-addr.arpa
1.166.99.in-addr.arpa
2.166.99.in-addr.arpa
3.166.99.in-addr.arpa
4.166.99.in-addr.arpa
5.166.99.in-addr.arpa
6.166.99.in-addr.arpa
7.166.99.in-addr.arpa
8.166.99.in-addr.arpa
9.166.99.in-addr.arpa
10.166.99.in-addr.arpa
11.166.99.in-addr.arpa
12.166.99.in-addr.arpa
13.166.99.in-addr.arpa
14.166.99.in-addr.arpa
15.166.99.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01100011.10100110.00000000.0000000099.166.0.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network01100011.10100110.00000000.0000000099.166.0.0
Broadcast01100011.10100110.00111111.1111111199.166.63.255
Split into smaller subnets/26

99.166.0.0/18 makes 256 subnets of /26.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
199.166.0.0/2699.166.0.1 to 99.166.0.6299.166.0.6362
299.166.0.64/2699.166.0.65 to 99.166.0.12699.166.0.12762
399.166.0.128/2699.166.0.129 to 99.166.0.19099.166.0.19162
499.166.0.192/2699.166.0.193 to 99.166.0.25499.166.0.25562
599.166.1.0/2699.166.1.1 to 99.166.1.6299.166.1.6362
699.166.1.64/2699.166.1.65 to 99.166.1.12699.166.1.12762
799.166.1.128/2699.166.1.129 to 99.166.1.19099.166.1.19162
899.166.1.192/2699.166.1.193 to 99.166.1.25499.166.1.25562
999.166.2.0/2699.166.2.1 to 99.166.2.6299.166.2.6362
1099.166.2.64/2699.166.2.65 to 99.166.2.12699.166.2.12762
1199.166.2.128/2699.166.2.129 to 99.166.2.19099.166.2.19162
1299.166.2.192/2699.166.2.193 to 99.166.2.25499.166.2.25562
1399.166.3.0/2699.166.3.1 to 99.166.3.6299.166.3.6362
1499.166.3.64/2699.166.3.65 to 99.166.3.12699.166.3.12762
1599.166.3.128/2699.166.3.129 to 99.166.3.19099.166.3.19162
1699.166.3.192/2699.166.3.193 to 99.166.3.25499.166.3.25562
1799.166.4.0/2699.166.4.1 to 99.166.4.6299.166.4.6362
1899.166.4.64/2699.166.4.65 to 99.166.4.12699.166.4.12762
1999.166.4.128/2699.166.4.129 to 99.166.4.19099.166.4.19162
2099.166.4.192/2699.166.4.193 to 99.166.4.25499.166.4.25562
2199.166.5.0/2699.166.5.1 to 99.166.5.6299.166.5.6362
2299.166.5.64/2699.166.5.65 to 99.166.5.12699.166.5.12762
2399.166.5.128/2699.166.5.129 to 99.166.5.19099.166.5.19162
2499.166.5.192/2699.166.5.193 to 99.166.5.25499.166.5.25562
2599.166.6.0/2699.166.6.1 to 99.166.6.6299.166.6.6362
2699.166.6.64/2699.166.6.65 to 99.166.6.12699.166.6.12762
2799.166.6.128/2699.166.6.129 to 99.166.6.19099.166.6.19162
2899.166.6.192/2699.166.6.193 to 99.166.6.25499.166.6.25562
2999.166.7.0/2699.166.7.1 to 99.166.7.6299.166.7.6362
3099.166.7.64/2699.166.7.65 to 99.166.7.12699.166.7.12762
3199.166.7.128/2699.166.7.129 to 99.166.7.19099.166.7.19162
3299.166.7.192/2699.166.7.193 to 99.166.7.25499.166.7.25562
3399.166.8.0/2699.166.8.1 to 99.166.8.6299.166.8.6362
3499.166.8.64/2699.166.8.65 to 99.166.8.12699.166.8.12762
3599.166.8.128/2699.166.8.129 to 99.166.8.19099.166.8.19162
3699.166.8.192/2699.166.8.193 to 99.166.8.25499.166.8.25562
3799.166.9.0/2699.166.9.1 to 99.166.9.6299.166.9.6362
3899.166.9.64/2699.166.9.65 to 99.166.9.12699.166.9.12762
3999.166.9.128/2699.166.9.129 to 99.166.9.19099.166.9.19162
4099.166.9.192/2699.166.9.193 to 99.166.9.25499.166.9.25562
4199.166.10.0/2699.166.10.1 to 99.166.10.6299.166.10.6362
4299.166.10.64/2699.166.10.65 to 99.166.10.12699.166.10.12762
4399.166.10.128/2699.166.10.129 to 99.166.10.19099.166.10.19162
4499.166.10.192/2699.166.10.193 to 99.166.10.25499.166.10.25562
4599.166.11.0/2699.166.11.1 to 99.166.11.6299.166.11.6362
4699.166.11.64/2699.166.11.65 to 99.166.11.12699.166.11.12762
4799.166.11.128/2699.166.11.129 to 99.166.11.19099.166.11.19162
4899.166.11.192/2699.166.11.193 to 99.166.11.25499.166.11.25562
4999.166.12.0/2699.166.12.1 to 99.166.12.6299.166.12.6362
5099.166.12.64/2699.166.12.65 to 99.166.12.12699.166.12.12762
5199.166.12.128/2699.166.12.129 to 99.166.12.19099.166.12.19162
5299.166.12.192/2699.166.12.193 to 99.166.12.25499.166.12.25562
5399.166.13.0/2699.166.13.1 to 99.166.13.6299.166.13.6362
5499.166.13.64/2699.166.13.65 to 99.166.13.12699.166.13.12762
5599.166.13.128/2699.166.13.129 to 99.166.13.19099.166.13.19162
5699.166.13.192/2699.166.13.193 to 99.166.13.25499.166.13.25562
5799.166.14.0/2699.166.14.1 to 99.166.14.6299.166.14.6362
5899.166.14.64/2699.166.14.65 to 99.166.14.12699.166.14.12762
5999.166.14.128/2699.166.14.129 to 99.166.14.19099.166.14.19162
6099.166.14.192/2699.166.14.193 to 99.166.14.25499.166.14.25562
6199.166.15.0/2699.166.15.1 to 99.166.15.6299.166.15.6362
6299.166.15.64/2699.166.15.65 to 99.166.15.12699.166.15.12762
6399.166.15.128/2699.166.15.129 to 99.166.15.19099.166.15.19162
6499.166.15.192/2699.166.15.193 to 99.166.15.25499.166.15.25562
6599.166.16.0/2699.166.16.1 to 99.166.16.6299.166.16.6362
6699.166.16.64/2699.166.16.65 to 99.166.16.12699.166.16.12762
6799.166.16.128/2699.166.16.129 to 99.166.16.19099.166.16.19162
6899.166.16.192/2699.166.16.193 to 99.166.16.25499.166.16.25562
6999.166.17.0/2699.166.17.1 to 99.166.17.6299.166.17.6362
7099.166.17.64/2699.166.17.65 to 99.166.17.12699.166.17.12762
7199.166.17.128/2699.166.17.129 to 99.166.17.19099.166.17.19162
7299.166.17.192/2699.166.17.193 to 99.166.17.25499.166.17.25562
7399.166.18.0/2699.166.18.1 to 99.166.18.6299.166.18.6362
7499.166.18.64/2699.166.18.65 to 99.166.18.12699.166.18.12762
7599.166.18.128/2699.166.18.129 to 99.166.18.19099.166.18.19162
7699.166.18.192/2699.166.18.193 to 99.166.18.25499.166.18.25562
7799.166.19.0/2699.166.19.1 to 99.166.19.6299.166.19.6362
7899.166.19.64/2699.166.19.65 to 99.166.19.12699.166.19.12762
7999.166.19.128/2699.166.19.129 to 99.166.19.19099.166.19.19162
8099.166.19.192/2699.166.19.193 to 99.166.19.25499.166.19.25562
8199.166.20.0/2699.166.20.1 to 99.166.20.6299.166.20.6362
8299.166.20.64/2699.166.20.65 to 99.166.20.12699.166.20.12762
8399.166.20.128/2699.166.20.129 to 99.166.20.19099.166.20.19162
8499.166.20.192/2699.166.20.193 to 99.166.20.25499.166.20.25562
8599.166.21.0/2699.166.21.1 to 99.166.21.6299.166.21.6362
8699.166.21.64/2699.166.21.65 to 99.166.21.12699.166.21.12762
8799.166.21.128/2699.166.21.129 to 99.166.21.19099.166.21.19162
8899.166.21.192/2699.166.21.193 to 99.166.21.25499.166.21.25562
8999.166.22.0/2699.166.22.1 to 99.166.22.6299.166.22.6362
9099.166.22.64/2699.166.22.65 to 99.166.22.12699.166.22.12762
9199.166.22.128/2699.166.22.129 to 99.166.22.19099.166.22.19162
9299.166.22.192/2699.166.22.193 to 99.166.22.25499.166.22.25562
9399.166.23.0/2699.166.23.1 to 99.166.23.6299.166.23.6362
9499.166.23.64/2699.166.23.65 to 99.166.23.12699.166.23.12762
9599.166.23.128/2699.166.23.129 to 99.166.23.19099.166.23.19162
9699.166.23.192/2699.166.23.193 to 99.166.23.25499.166.23.25562
9799.166.24.0/2699.166.24.1 to 99.166.24.6299.166.24.6362
9899.166.24.64/2699.166.24.65 to 99.166.24.12699.166.24.12762
9999.166.24.128/2699.166.24.129 to 99.166.24.19099.166.24.19162
10099.166.24.192/2699.166.24.193 to 99.166.24.25499.166.24.25562
10199.166.25.0/2699.166.25.1 to 99.166.25.6299.166.25.6362
10299.166.25.64/2699.166.25.65 to 99.166.25.12699.166.25.12762
10399.166.25.128/2699.166.25.129 to 99.166.25.19099.166.25.19162
10499.166.25.192/2699.166.25.193 to 99.166.25.25499.166.25.25562
10599.166.26.0/2699.166.26.1 to 99.166.26.6299.166.26.6362
10699.166.26.64/2699.166.26.65 to 99.166.26.12699.166.26.12762
10799.166.26.128/2699.166.26.129 to 99.166.26.19099.166.26.19162
10899.166.26.192/2699.166.26.193 to 99.166.26.25499.166.26.25562
10999.166.27.0/2699.166.27.1 to 99.166.27.6299.166.27.6362
11099.166.27.64/2699.166.27.65 to 99.166.27.12699.166.27.12762
11199.166.27.128/2699.166.27.129 to 99.166.27.19099.166.27.19162
11299.166.27.192/2699.166.27.193 to 99.166.27.25499.166.27.25562
11399.166.28.0/2699.166.28.1 to 99.166.28.6299.166.28.6362
11499.166.28.64/2699.166.28.65 to 99.166.28.12699.166.28.12762
11599.166.28.128/2699.166.28.129 to 99.166.28.19099.166.28.19162
11699.166.28.192/2699.166.28.193 to 99.166.28.25499.166.28.25562
11799.166.29.0/2699.166.29.1 to 99.166.29.6299.166.29.6362
11899.166.29.64/2699.166.29.65 to 99.166.29.12699.166.29.12762
11999.166.29.128/2699.166.29.129 to 99.166.29.19099.166.29.19162
12099.166.29.192/2699.166.29.193 to 99.166.29.25499.166.29.25562
12199.166.30.0/2699.166.30.1 to 99.166.30.6299.166.30.6362
12299.166.30.64/2699.166.30.65 to 99.166.30.12699.166.30.12762
12399.166.30.128/2699.166.30.129 to 99.166.30.19099.166.30.19162
12499.166.30.192/2699.166.30.193 to 99.166.30.25499.166.30.25562
12599.166.31.0/2699.166.31.1 to 99.166.31.6299.166.31.6362
12699.166.31.64/2699.166.31.65 to 99.166.31.12699.166.31.12762
12799.166.31.128/2699.166.31.129 to 99.166.31.19099.166.31.19162
12899.166.31.192/2699.166.31.193 to 99.166.31.25499.166.31.25562
12999.166.32.0/2699.166.32.1 to 99.166.32.6299.166.32.6362
13099.166.32.64/2699.166.32.65 to 99.166.32.12699.166.32.12762
13199.166.32.128/2699.166.32.129 to 99.166.32.19099.166.32.19162
13299.166.32.192/2699.166.32.193 to 99.166.32.25499.166.32.25562
13399.166.33.0/2699.166.33.1 to 99.166.33.6299.166.33.6362
13499.166.33.64/2699.166.33.65 to 99.166.33.12699.166.33.12762
13599.166.33.128/2699.166.33.129 to 99.166.33.19099.166.33.19162
13699.166.33.192/2699.166.33.193 to 99.166.33.25499.166.33.25562
13799.166.34.0/2699.166.34.1 to 99.166.34.6299.166.34.6362
13899.166.34.64/2699.166.34.65 to 99.166.34.12699.166.34.12762
13999.166.34.128/2699.166.34.129 to 99.166.34.19099.166.34.19162
14099.166.34.192/2699.166.34.193 to 99.166.34.25499.166.34.25562
14199.166.35.0/2699.166.35.1 to 99.166.35.6299.166.35.6362
14299.166.35.64/2699.166.35.65 to 99.166.35.12699.166.35.12762
14399.166.35.128/2699.166.35.129 to 99.166.35.19099.166.35.19162
14499.166.35.192/2699.166.35.193 to 99.166.35.25499.166.35.25562
14599.166.36.0/2699.166.36.1 to 99.166.36.6299.166.36.6362
14699.166.36.64/2699.166.36.65 to 99.166.36.12699.166.36.12762
14799.166.36.128/2699.166.36.129 to 99.166.36.19099.166.36.19162
14899.166.36.192/2699.166.36.193 to 99.166.36.25499.166.36.25562
14999.166.37.0/2699.166.37.1 to 99.166.37.6299.166.37.6362
15099.166.37.64/2699.166.37.65 to 99.166.37.12699.166.37.12762
15199.166.37.128/2699.166.37.129 to 99.166.37.19099.166.37.19162
15299.166.37.192/2699.166.37.193 to 99.166.37.25499.166.37.25562
15399.166.38.0/2699.166.38.1 to 99.166.38.6299.166.38.6362
15499.166.38.64/2699.166.38.65 to 99.166.38.12699.166.38.12762
15599.166.38.128/2699.166.38.129 to 99.166.38.19099.166.38.19162
15699.166.38.192/2699.166.38.193 to 99.166.38.25499.166.38.25562
15799.166.39.0/2699.166.39.1 to 99.166.39.6299.166.39.6362
15899.166.39.64/2699.166.39.65 to 99.166.39.12699.166.39.12762
15999.166.39.128/2699.166.39.129 to 99.166.39.19099.166.39.19162
16099.166.39.192/2699.166.39.193 to 99.166.39.25499.166.39.25562
16199.166.40.0/2699.166.40.1 to 99.166.40.6299.166.40.6362
16299.166.40.64/2699.166.40.65 to 99.166.40.12699.166.40.12762
16399.166.40.128/2699.166.40.129 to 99.166.40.19099.166.40.19162
16499.166.40.192/2699.166.40.193 to 99.166.40.25499.166.40.25562
16599.166.41.0/2699.166.41.1 to 99.166.41.6299.166.41.6362
16699.166.41.64/2699.166.41.65 to 99.166.41.12699.166.41.12762
16799.166.41.128/2699.166.41.129 to 99.166.41.19099.166.41.19162
16899.166.41.192/2699.166.41.193 to 99.166.41.25499.166.41.25562
16999.166.42.0/2699.166.42.1 to 99.166.42.6299.166.42.6362
17099.166.42.64/2699.166.42.65 to 99.166.42.12699.166.42.12762
17199.166.42.128/2699.166.42.129 to 99.166.42.19099.166.42.19162
17299.166.42.192/2699.166.42.193 to 99.166.42.25499.166.42.25562
17399.166.43.0/2699.166.43.1 to 99.166.43.6299.166.43.6362
17499.166.43.64/2699.166.43.65 to 99.166.43.12699.166.43.12762
17599.166.43.128/2699.166.43.129 to 99.166.43.19099.166.43.19162
17699.166.43.192/2699.166.43.193 to 99.166.43.25499.166.43.25562
17799.166.44.0/2699.166.44.1 to 99.166.44.6299.166.44.6362
17899.166.44.64/2699.166.44.65 to 99.166.44.12699.166.44.12762
17999.166.44.128/2699.166.44.129 to 99.166.44.19099.166.44.19162
18099.166.44.192/2699.166.44.193 to 99.166.44.25499.166.44.25562
18199.166.45.0/2699.166.45.1 to 99.166.45.6299.166.45.6362
18299.166.45.64/2699.166.45.65 to 99.166.45.12699.166.45.12762
18399.166.45.128/2699.166.45.129 to 99.166.45.19099.166.45.19162
18499.166.45.192/2699.166.45.193 to 99.166.45.25499.166.45.25562
18599.166.46.0/2699.166.46.1 to 99.166.46.6299.166.46.6362
18699.166.46.64/2699.166.46.65 to 99.166.46.12699.166.46.12762
18799.166.46.128/2699.166.46.129 to 99.166.46.19099.166.46.19162
18899.166.46.192/2699.166.46.193 to 99.166.46.25499.166.46.25562
18999.166.47.0/2699.166.47.1 to 99.166.47.6299.166.47.6362
19099.166.47.64/2699.166.47.65 to 99.166.47.12699.166.47.12762
19199.166.47.128/2699.166.47.129 to 99.166.47.19099.166.47.19162
19299.166.47.192/2699.166.47.193 to 99.166.47.25499.166.47.25562
19399.166.48.0/2699.166.48.1 to 99.166.48.6299.166.48.6362
19499.166.48.64/2699.166.48.65 to 99.166.48.12699.166.48.12762
19599.166.48.128/2699.166.48.129 to 99.166.48.19099.166.48.19162
19699.166.48.192/2699.166.48.193 to 99.166.48.25499.166.48.25562
19799.166.49.0/2699.166.49.1 to 99.166.49.6299.166.49.6362
19899.166.49.64/2699.166.49.65 to 99.166.49.12699.166.49.12762
19999.166.49.128/2699.166.49.129 to 99.166.49.19099.166.49.19162
20099.166.49.192/2699.166.49.193 to 99.166.49.25499.166.49.25562
20199.166.50.0/2699.166.50.1 to 99.166.50.6299.166.50.6362
20299.166.50.64/2699.166.50.65 to 99.166.50.12699.166.50.12762
20399.166.50.128/2699.166.50.129 to 99.166.50.19099.166.50.19162
20499.166.50.192/2699.166.50.193 to 99.166.50.25499.166.50.25562
20599.166.51.0/2699.166.51.1 to 99.166.51.6299.166.51.6362
20699.166.51.64/2699.166.51.65 to 99.166.51.12699.166.51.12762
20799.166.51.128/2699.166.51.129 to 99.166.51.19099.166.51.19162
20899.166.51.192/2699.166.51.193 to 99.166.51.25499.166.51.25562
20999.166.52.0/2699.166.52.1 to 99.166.52.6299.166.52.6362
21099.166.52.64/2699.166.52.65 to 99.166.52.12699.166.52.12762
21199.166.52.128/2699.166.52.129 to 99.166.52.19099.166.52.19162
21299.166.52.192/2699.166.52.193 to 99.166.52.25499.166.52.25562
21399.166.53.0/2699.166.53.1 to 99.166.53.6299.166.53.6362
21499.166.53.64/2699.166.53.65 to 99.166.53.12699.166.53.12762
21599.166.53.128/2699.166.53.129 to 99.166.53.19099.166.53.19162
21699.166.53.192/2699.166.53.193 to 99.166.53.25499.166.53.25562
21799.166.54.0/2699.166.54.1 to 99.166.54.6299.166.54.6362
21899.166.54.64/2699.166.54.65 to 99.166.54.12699.166.54.12762
21999.166.54.128/2699.166.54.129 to 99.166.54.19099.166.54.19162
22099.166.54.192/2699.166.54.193 to 99.166.54.25499.166.54.25562
22199.166.55.0/2699.166.55.1 to 99.166.55.6299.166.55.6362
22299.166.55.64/2699.166.55.65 to 99.166.55.12699.166.55.12762
22399.166.55.128/2699.166.55.129 to 99.166.55.19099.166.55.19162
22499.166.55.192/2699.166.55.193 to 99.166.55.25499.166.55.25562
22599.166.56.0/2699.166.56.1 to 99.166.56.6299.166.56.6362
22699.166.56.64/2699.166.56.65 to 99.166.56.12699.166.56.12762
22799.166.56.128/2699.166.56.129 to 99.166.56.19099.166.56.19162
22899.166.56.192/2699.166.56.193 to 99.166.56.25499.166.56.25562
22999.166.57.0/2699.166.57.1 to 99.166.57.6299.166.57.6362
23099.166.57.64/2699.166.57.65 to 99.166.57.12699.166.57.12762
23199.166.57.128/2699.166.57.129 to 99.166.57.19099.166.57.19162
23299.166.57.192/2699.166.57.193 to 99.166.57.25499.166.57.25562
23399.166.58.0/2699.166.58.1 to 99.166.58.6299.166.58.6362
23499.166.58.64/2699.166.58.65 to 99.166.58.12699.166.58.12762
23599.166.58.128/2699.166.58.129 to 99.166.58.19099.166.58.19162
23699.166.58.192/2699.166.58.193 to 99.166.58.25499.166.58.25562
23799.166.59.0/2699.166.59.1 to 99.166.59.6299.166.59.6362
23899.166.59.64/2699.166.59.65 to 99.166.59.12699.166.59.12762
23999.166.59.128/2699.166.59.129 to 99.166.59.19099.166.59.19162
24099.166.59.192/2699.166.59.193 to 99.166.59.25499.166.59.25562
24199.166.60.0/2699.166.60.1 to 99.166.60.6299.166.60.6362
24299.166.60.64/2699.166.60.65 to 99.166.60.12699.166.60.12762
24399.166.60.128/2699.166.60.129 to 99.166.60.19099.166.60.19162
24499.166.60.192/2699.166.60.193 to 99.166.60.25499.166.60.25562
24599.166.61.0/2699.166.61.1 to 99.166.61.6299.166.61.6362
24699.166.61.64/2699.166.61.65 to 99.166.61.12699.166.61.12762
24799.166.61.128/2699.166.61.129 to 99.166.61.19099.166.61.19162
24899.166.61.192/2699.166.61.193 to 99.166.61.25499.166.61.25562
24999.166.62.0/2699.166.62.1 to 99.166.62.6299.166.62.6362
25099.166.62.64/2699.166.62.65 to 99.166.62.12699.166.62.12762
25199.166.62.128/2699.166.62.129 to 99.166.62.19099.166.62.19162
25299.166.62.192/2699.166.62.193 to 99.166.62.25499.166.62.25562
25399.166.63.0/2699.166.63.1 to 99.166.63.6299.166.63.6362
25499.166.63.64/2699.166.63.65 to 99.166.63.12699.166.63.12762
25599.166.63.128/2699.166.63.129 to 99.166.63.19099.166.63.19162
25699.166.63.192/2699.166.63.193 to 99.166.63.25499.166.63.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses